Summary: Library for handling different graphics files.
Name: libgr
Version: 2.0.13
Release: 4
Copyright: freeware
Group: Libraries
Source0: ftp://ftp.ctd.comsat.com/pub/linux/ELF/libgr-2.0.13.tar.gz
Source1: jpeg-to-pnm.fpi
Source2: libgr-scripts.tar.gz
Patch: libgr-config.patch
BuildRoot: /tmp/libgr-root

%changelog

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>

- changed copyright from "distributable" to "freeware"
- added some missing scripts that existed in netpbm
- added some binaries that weren't getting built
- added patch to build tiff manipulation progs (requires libtiff)

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>

- obsoletes netpbm now

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>

- mucked config.guess and Make.Rules to build on Alpha/Linux

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>

- updated to 2.0.13
- dropped libjpeg and libtiff (those should come from home sources)
- removed glibc patch (new version appears to have it!)
- added i686 as a valid arch type to config.guess

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This package is a library for handling various graphics file formats,
including FBM, PBM, PGM, PNM, PPM, and REL.

%package devel
Summary: headers and static libraries developing programs using libgr
Group: Development/Libraries
Requires: libgr
%description devel
This package is all you need to develop programs that handle the various
graphics file formats supported by libgr.

%package progs
Summary: libgr utility programs
Group: Applications/Graphics
Obsoletes: netpbm

%description progs
This package includes various utility programs for manipulating JPEG files
for use by libgr programs.

%prep
%setup
%patch0 -p1
tar xvfz $RPM_SOURCE_DIR/libgr-scripts.tar.gz

# only necessary if you build tiff and jpeg support (we don't)
# (cd tiff; ln -s ../jpeg/ .)

%build

SHARED=shared

make SHARED=$SHARED everything

cd pnm
make -f Makefile.tiff progs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin

make prefix=$RPM_BUILD_ROOT/usr install_everything
cd pnm
make -f Makefile.tiff prefix=$RPM_BUILD_ROOT/usr install_p
make -f Makefile.tiff prefix=$RPM_BUILD_ROOT/usr install_m
cd -
cd png
make progs
make prefix=$RPM_BUILD_ROOT/usr install_p
make prefix=$RPM_BUILD_ROOT/usr install_m
cd -

# (cd jpeg ; make SHARED=$SHARED install ; make install-headers )
# (cd tiff; install -m 644 -o 0 -g 0 tiff.h /usr/include)
# (cd tiff; install -m 644 -o 0 -g 0 tiffio.h /usr/include)
strip $RPM_BUILD_ROOT/usr/bin/*

cd libgr-scripts
./install.sh $RPM_BUILD_ROOT
cd -

# removed from this package; get from home site(s) or libjpeg/libtiff packages
# ln -sf libjpeg.so.6.0.1 $RPM_BUILD_ROOT/usr/lib/libjpeg.so
# ln -sf libtiff.so.3.4.28 $RPM_BUILD_ROOT/usr/lib/libtiff.so

ln -sf libfbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libfbm.so
ln -sf libpbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpbm.so
ln -sf libpgm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpgm.so
ln -sf libpnm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpnm.so
ln -sf libppm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libppm.so
ln -sf librle.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librle.so

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/jpeg-to-pnm.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

/sbin/ldconfig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libfbm.so.1.0.0
/usr/lib/libpbm.so.1.0.0
/usr/lib/libpgm.so.1.0.0
/usr/lib/libpnm.so.1.0.0
/usr/lib/libppm.so.1.0.0
/usr/lib/librle.so.1.0.0

%files devel

/usr/include/fbm.h
/usr/include/rle.h
/usr/include/pbm.h
/usr/include/rle_config.h
/usr/include/pbmplus.h
/usr/include/pnm.h
/usr/include/pgm.h
/usr/include/ppm.h

/usr/lib/libfbm.a
/usr/lib/libpbm.a
/usr/lib/libpgm.a
/usr/lib/libpnm.a
/usr/lib/libppm.a
/usr/lib/librle.a

/usr/lib/libfbm.so
/usr/lib/libpbm.so
/usr/lib/libpgm.so
/usr/lib/libpnm.so
/usr/lib/libppm.so
/usr/lib/librle.so
/usr/man/man3/*.3

%files progs
/usr/lib/rhs/rhs-printfilters/jpeg-to-pnm.fpi
/usr/man/man1/*.1
/usr/bin/*
